Subject: bug#67533: SVG images confound position pixel measurements

From: JD Smith <[email-masked]>
Date: Sun, 3 Dec 2023 23:32:44 -0500

I am so far unable to find a recipe without including org-mode in the mix.  An org-mode recipe is quite simple:

Create a new org-mode file.
M-x org-indent-mode
M-x visual-line-mode
Insert text below, replacing the image name with a large image of your choosing (wider than the standard frame width), placed in the same directory as your org file
M-x org-display-inline-images
Move point down towards the image
Emacs hangs

+++
* Image
[[./image.png]]

> On Dec 3, 2023, at 10:27 PM, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: JD Smith <[email-masked]>
>> Date: Sun, 3 Dec 2023 16:25:01 -0500
>> Cc: [email-masked]
>> 
>> I’m sorry to report that this fix seems to have introduced a hard lockup in org-display-inline-images,
>> when displaying images in an org file with larger images.  
>> 
>> I just confirmed by reverting to the state just before your patch was applied to master.  It may have
>> something to do with the final large image fix.
> 
> Please provide a recipe to reproduce these lockups.
> 
> Thanks.